/*
 * SPI.h
 *
 *  Created on: Jun 28, 2016
 *      Author: tbaruah
 */



/*************************************************************************************************************************
									Macros
 **************************************************************************************************************************/


#include <sys/platform.h>
#include <stdio.h>
#include "adi_initialize.h"
#include <services/int/adi_int.h>
#include<ccblkfn.h>
#include<sys/exception.h>


#define SPI0_CLK_PORTC_MUX  ((uint16_t) ((uint16_t) 1<<8))
#define SPI0_MISO_PORTC_MUX  ((uint16_t) ((uint16_t) 1<<12))
#define SPI0_MOSI_PORTC_MUX  ((uint16_t) ((uint16_t) 1<<14))

#define SPI0_CLK_PORTC_FER  ((uint16_t) ((uint16_t) 1<<4))
#define SPI0_MISO_PORTC_FER  ((uint16_t) ((uint16_t) 1<<6))
#define SPI0_MOSI_PORTC_FER  ((uint16_t) ((uint16_t) 1<<7))


void Init_SPI_AD7689(void);
void InitSpiPinmux(void);
void delay_afe(unsigned int count);
unsigned int Init_SPI_Transfer(uint16_t Dataword);


